Skip to main content
GET
/
v2
/
client
/
fundraiser
/
{id}
/
donors
Donors List
curl --request GET \
  --url https://api.crowdchange.dev/v2/client/fundraiser/{id}/donors \
  --header 'Authorization: <api-key>'
[
  {
    "total": 100,
    "total_formatted": "$100",
    "amount_match": 100,
    "total_with_match": 200,
    "name": "John Snow",
    "comment": "Happy to support!",
    "is_amount_hidden": false,
    "currency": "USD",
    "created_at": "2021-01-01T00:00:00Z"
  }
]

Path parameters

id
integer
required
Fundraiser ID.

Query parameters

page
integer
Page number. Default: 1
limit
integer
Number of results to return. Default: 10
sort
string
Key to sort by. Allowed values: id, amount Default: id
direction
string
Direction of sorting. Allowed values: asc, desc Default: desc
min_total
integer
Minimum total donation amount to include. Default: 0
only_received
boolean
Include only received transactions. Default: false

Response

Returns an array of objects with the following fields.
total
number
Donation total.
total_formatted
string
Formatted donation total, includes currency symbol.
amount_match
number
Matched amount for campaigns with donation matching enabled.
total_with_match
number
Donation total including the matched amount.
name
string
Donor’s name or alias.
comment
string
Donor’s comment.
is_amount_hidden
boolean
True if the donor chose to hide their donation amount.
currency
string
Currency code.
created_at
string
Date and time of the donation.
Other responses
StatusDescription
400Bad Request
403Forbidden
[
  {
    "total": 100,
    "total_formatted": "$100",
    "amount_match": 100,
    "total_with_match": 200,
    "name": "John Snow",
    "comment": "Happy to support!",
    "is_amount_hidden": false,
    "currency": "USD",
    "created_at": "2021-01-01T00:00:00Z"
  }
]